package fishrungames.yelpmapapp

import com.google.maps.android.clustering.ClusterItem
import com.google.android.gms.maps.model.LatLng
import fishrungames.yelpmapapp.records.MapMarkerRecord


/**
 * Created by mephi on 10.06.2017.
 */

class MapMarkerClusterItem(val mapMarkerRecord: MapMarkerRecord) : ClusterItem
{
    private val mPosition : LatLng

    init {

        val lat = mapMarkerRecord.coordinates?.latitude
        val lon = mapMarkerRecord.coordinates?.longitude

        if (lat != null && lon != null)
        {
            mPosition = LatLng(lat, lon)
        }
        else
        {
            mPosition = LatLng(0.0, 0.0)
        }



    }

    override fun getPosition(): LatLng {
        return mPosition
    }
}